Subject: bug#6971: closed (Re: bug#6974: Emacs doesn't like Swedishä (on w32))

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 04 Sep 2010 08:13:02 +0000

Your bug report

#6971: 24.0.50.1: non-ascii chars appear as numbers

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6971: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6971
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6974: Emacs doesn't like Swedish ä (on w32)
From: Eli Zaretskii <[email-masked]>
To: Andreas Röhler <[email-masked]>
Cc: [email-masked]
Date: Sat, 04 Sep 2010 11:16:32 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 04 Sep 2010 09:30:55 +0200
> From: Andreas Röhler <[email-masked]>
> CC: [email-masked]
> 
> > Please post the file as an attachment.
> >
> 
> Attached.

Thanks.  Here's your culprit:

> > \240 (autoload 'muse-mode "muse-mode" "" t)

You have literal \240 characters in the file, which are invalid UTF-8
sequences.

This file has also other similar problems, like this one:

  Du kannst es nat\365\202\211\205\365\200\210\246\357\275\357\275\274rlich auch unter Linux ausprobieren, z.B.:

I believe the 4th word should have been "natűrlich", and the invalid
long byte sequence instead of ű (which Emacs decodes into some
Japanese Kanji character that cannot be encoded by UTF-8) is the
result of multiple saving of this file with incorrect encoding.

To fix all this corruption, I suggest the following steps:

  1) C-x RET c utf-8 RET C-x C-f befehle.txt RET

  2) M-: (unencodable-char-position (point) (point-max) 'utf-8) RET

  3) Go to the position shown by the previous command, and edit the
     file to replace invalid bytes with valid characters.

  4) Move point past the corrected portion.

  5) Go back to 2.  When unencodable-char-position returns nil, you
     are done; save the file.

I'm closing bug #6971 with this message, since there's no Emacs bug
here.

Subject: 24.0.50.1: non-ascii chars appear as numbers
From: Andreas Röhler <[email-masked]>
To: [email-masked]
Date: Thu, 02 Sep 2010 12:15:34 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

encounter an encoding bug, which I've seen years
ago and reported already, but didn't occur with Emacs
23:

when opening a file containing non-ascii chars, german
umlauts etc., these aren't shown as glyphs but
as numbers.

(define-abbrev-table
   'global-abbrev-table
   '(("Infinity" "∞" nil 0)
     ("alpha" "α" nil 2)
     ("beta" "β" nil 1)
     ("gamma" "γ" nil 1)
     ("theta" "θ" nil 0)))

I see  ("alpha" "\316\261" nil 2)

for example.

May send a screenshot if useful.

Curious: if the chars-as-numbers code is pasted here in this mail,
glyphs are displayed correctly.

As the only thing I remember is editing the file with

GNU Emacs 24.0.50.1 (i686-pc-linux-gnu, GTK+ Version 2.12.0) of 2010-08-28

assume the bug comes from there.

Sorry, not being able to truck down further the issue.

Andreas

--
https://code.launchpad.net/~a-roehler/python-mode
https://code.launchpad.net/s-x-emacs-werkstatt/